Subject: Community Neworks: any idea about them?

From: "Jose Saldana" <[email-masked]>
Date: Tue, 8 Oct 2013 11:24:33 +0200

Hi all.

I have recently "discovered" the concept of Community Networks. They are
"large scale, self-organized and decentralized networks, built and operated
by citizens for citizens." They are "also self-owned and self-managed by
community members, self-growing in links, capacity and services provided."

A paper explaining them can be found here:
<http://www.sigcomm.org/ccr/papers/2013/July/2500098.2500108>
http://www.sigcomm.org/ccr/papers/2013/July/2500098.2500108

Some examples: 

 <http://funkfeuer.at/> http://funkfeuer.at/

https://wlan-si.net/

http://www.bogota-mesh.org/en

I would like to know your opinion about this:

do you think this is a good idea?

Can they be a good place for developing experiments?

I think this can be a good solution for developing countries.

In addition, regarding TCM-TF, can they be a new scenario where traffic
optimization could be interesting? I mean, they do not have too much
bandwidth, and they connect to the Internet through a single link in many
cases (a bottleneck). One of the services considered is VoIP.

Thanks a lot!

Jose

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Tue, 8 Oct 2013 10:42:05 +0100

Dear Jose,
  I would like to take this opportunity to present some of the work we
are doing here at Cambridge -

We are trying to solve the universal service problem in urban areas
(where people cannot afford to access the Internet) using existing
home broadband networks - home owners who have Internet connections
share their Internet connection for free with those who dont have.

We are currently doing deployments in a deprived area in Nottingham (
see www.publicaccesswifi.org )

More on the LCDNet initiative is here:
http://www.cl.cam.ac.uk/~as2330/lcd/index.html

There are interesting possibilities to do multi-path TCP between
aggregating multiple access points and we are exploring that option
too.

The TIER group in berkeley have done quite a lot of nice work with
wireless for developing countries:
tier.cs.berkeley.edu/

Happy to discuss more :)

Regards
Arjuna

On 8 October 2013 10:24, Jose Saldana <[email-masked]> wrote:
> Hi all.
>
>
>
> I have recently “discovered” the concept of Community Networks. They are
> “large scale, self-organized and decentralized networks, built and operated
> by citizens for citizens.” They are “also self-owned and self-managed by
> community members, self-growing in links, capacity and services provided.”
>
>
>
> http://funkfeuer.at/

---

From: "Jose Saldana" <[email-masked]>
Date: Tue, 8 Oct 2013 13:44:05 +0200

Hi, Arjuna,

The idea of multipath TCP sounds interesting. It consists of "inverse
multiplexing" with TCP. However, TCM-TF does "multiplexing" with UDP.

What I was thinking is: can these scenarios also fit with TCM-TF? The idea
is to compress small-packet flows (VoIP, online games) in order to save
bandwidth, when a number of flows share a common path. We have discarded the
multiplexing of TCP, because the additional delay may modify the dynamics of
TCP.

TCM-TF combines header compression, multiplexing and tunneling, in order to
aggregate a number of flows, when a low-bandwidth link is in the path. Thus,
bandwidth can be saved and pps can be reduced, at the cost of processing
power.

Do you think this case can be found in these kind of networks? In the
discussion of TCM-TF in Berlin this summer, some people from Africa were
interested, since they think that low-bandwidth links have to be better
used.

Thanks!

Jose

> -----Mensaje original-----
> De: [email-masked] [mailto:[email-masked]] En nombre de
> Arjuna Sathiaseelan
> Enviado el: martes, 08 de octubre de 2013 11:42
> Para: [email-masked]
> CC: [email-masked]; [email-masked]
> Asunto: Re: [tcmtf] Community Neworks: any idea about them?
> 
> Dear Jose,
>   I would like to take this opportunity to present some of the work we are
> doing here at Cambridge -
> 
> We are trying to solve the universal service problem in urban areas (where
> people cannot afford to access the Internet) using existing home broadband
> networks - home owners who have Internet connections share their
> Internet connection for free with those who dont have.
> 
> We are currently doing deployments in a deprived area in Nottingham ( see
> www.publicaccesswifi.org )
> 
aggregating
> multiple access points and we are exploring that option too.
> 
wireless
> for developing countries:
> tier.cs.berkeley.edu/
> 
> Happy to discuss more :)
> 
> Regards
> Arjuna
> 
> > I have recently "discovered" the concept of Community Networks. They
> > are "large scale, self-organized and decentralized networks, built and
> > operated by citizens for citizens." They are "also self-owned and
> > self-managed by community members, self-growing in links, capacity and
> services provided."
> >
> >
> >
> > In addition, regarding TCM-TF, can they be a new scenario where
> > traffic optimization could be interesting? I mean, they do not have
> > too much bandwidth, and they connect to the Internet through a single
> > link in many cases (a bottleneck). One of the services considered is
VoIP.
> >
> >
> >
> > Thanks a lot!
> >
> >
> >
> > Jose
> >
> >
> _______________________________________________
> tcmtf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcmtf

---

From: Arjuna Sathiaseelan <[email-masked]>
Date: Tue, 8 Oct 2013 22:42:41 +0100

Hello Jose,
Any method that utilises the low bandwidth infrastructure more
efficiently is definitely useful.

Just a digression: have you considered the use of UDP-lite for TCM-TF?

Regards
Arjuna

---

From: "Jose Saldana" <[email-masked]>
Date: Thu, 10 Oct 2013 11:13:09 +0200

Regarding Community Networks, I have found some information about their
deployment in rural areas. The Council of a village shares an Internet
connection with all the neighbors, and they get Internet for free. For
example, see this small village (1400 people) called Alcalalí, in Alicante,
Spain. http://www.alcalali.es/ver/137/informacion-general.html.

The question is that, when they talk about the services, they say "Consulta
de páginas web, descarga de correos, Facebook, Youtube, Yahoo, Hotmail,
webcam, chats, etc." (web pages, e-mail, Facebook, Youtube, Yahoo, Hotmail,
webcam, chats, etc.). Not a single real-time service is cited.

This can be a very interesting use case for TCM-TF: a "bottleneck" (the
Internet connection) shared by a number of people. If traffic gets
optimized, perhaps they could also offer real-time services like VoIP.

What do you think? This is working in Spain, but it can also be useful for
developing countries or zones where network operators have not deployed an
infrastructure yet.

Thanks!

Jose

> De: [email-masked] [mailto:[email-masked]]
> En nombre de Arjuna Sathiaseelan
> Enviado el: martes, 08 de octubre de 2013 23:43
> Para: [email-masked]
> Any method that utilises the low bandwidth infrastructure more efficiently
is
> definitely useful.
> > What I was thinking is: can these scenarios also fit with TCM-TF? The
> > idea is to compress small-packet flows (VoIP, online games) in order
> > to save bandwidth, when a number of flows share a common path. We
> have
> > discarded the multiplexing of TCP, because the additional delay may
> > modify the dynamics of TCP.
> >
> > TCM-TF combines header compression, multiplexing and tunneling, in
> > order to aggregate a number of flows, when a low-bandwidth link is in
> > the path. Thus, bandwidth can be saved and pps can be reduced, at the
> > cost of processing power.
> >
> > discussion of TCM-TF in Berlin this summer, some people from Africa
> > were interested, since they think that low-bandwidth links have to be
> > better used.
> >
> > Thanks!
> >
> > Jose
> >
> >> De: [email-masked] [mailto:[email-masked]] En nombre
> >> de Arjuna Sathiaseelan Enviado el: martes, 08 de octubre de 2013
> >> 11:42
> >> Para: [email-masked]
> >>   I would like to take this opportunity to present some of the work
> >> we are doing here at Cambridge -
> >>
> >> > I have recently "discovered" the concept of Community Networks.
> >> > They are "large scale, self-organized and decentralized networks,
> >> > built and operated by citizens for citizens." They are "also
> >> > self-owned and self-managed by community members, self-growing in
> >> > links, capacity and
> >> services provided."
> >> >
> >> >
> >> >
> >> > too much bandwidth, and they connect to the Internet through a
> >> > single link in many cases (a bottleneck). One of the services
> >> > considered is
> > VoIP.
> >> >
> >> >
> >> >
> >> > Thanks a lot!
> >> >
> >> >
> >> >
> >> > Jose
> >> >
> >> >

---

From: Scott Brim <[email-masked]>
Date: Thu, 10 Oct 2013 13:55:21 -0400

For the USA you might find http://muninetworks.org interesting.

---

From: <[email-masked]>
Date: Thu, 10 Oct 2013 22:46:19 +0100

Webcam/chat is realtime.

http://en.wikipedia.org/wiki/Niue
The island of Niue  has a similar free internet model, backhauled via a satellite link.

Lloyd Wood
http://sat-net.com/L.Wood/

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Jose Saldana [[email-masked]]
Sent: 10 October 2013 10:13
To: [email-masked]
Cc: [email-masked]
Subject: RE: [tcmtf] Community Neworks: any idea about them?

Thanks!

Jose

is

---

From: "Jose Saldana" <[email-masked]>
Date: Fri, 11 Oct 2013 17:40:25 +0200

Hi, Lloyd. Thanks a lot for the link! It is really interesting: a country
with 1400 people sharing a single satellite connection. In fact, it is
similar to Alcalalí, the village in Spain, in which also 1400 people share
the Internet access provided by the local Council.
(http://www.alcalali.es/ver/137/informacion-general.html). 

With real-time I was trying to say "services with 100, 200 or 300 ms delay
limit", i.e. the ones we are considering in this tcm-tf draft
(http://datatracker.ietf.org/doc/draft-suznjevic-tsvwg-mtd-tcmtf/?include_te
xt=1), i.e. VoIP, online games or remote desktop.

Thanks again,

Jose

> [email-masked]
> Enviado el: jueves, 10 de octubre de 2013 23:46
> Para: [email-masked]; [email-masked]
> CC: [email-masked]
> The island of Niue  has a similar free internet model, backhauled via a
satellite
> link.
> example, see this small village (1400 people) called Alcalalí, in
Alicante, Spain.
> http://www.alcalali.es/ver/137/informacion-general.html.
> 
> webcam, chats, etc." (web pages, e-mail, Facebook, Youtube, Yahoo,
> Hotmail, webcam, chats, etc.). Not a single real-time service is cited.
> 
optimized,
> perhaps they could also offer real-time services like VoIP.
> 
> developing countries or zones where network operators have not deployed
> an infrastructure yet.
> 
> 
> Thanks!
> 
> Jose
> 
> > efficiently
> > > The idea of multipath TCP sounds interesting. It consists of
> > > "inverse multiplexing" with TCP. However, TCM-TF does "multiplexing"
> with UDP.
> > >
> > > What I was thinking is: can these scenarios also fit with TCM-TF?
> > > The idea is to compress small-packet flows (VoIP, online games) in
> > > order to save bandwidth, when a number of flows share a common path.
> > > We
> > have
> > > order to aggregate a number of flows, when a low-bandwidth link is
> > > in the path. Thus, bandwidth can be saved and pps can be reduced, at
> > > the cost of processing power.
> > >
> > > Do you think this case can be found in these kind of networks? In
> > > the discussion of TCM-TF in Berlin this summer, some people from
> > > Africa were interested, since they think that low-bandwidth links
> > > have to be better used.
> > >
> > > Thanks!
> > >
> > > Jose
> > >
> > >> De: [email-masked] [mailto:[email-masked]] En
> > >> nombre de Arjuna Sathiaseelan Enviado el: martes, 08 de octubre de
> > >> 2013
> > >> 11:42
> > >> Para: [email-masked]
> > >> We are currently doing deployments in a deprived area in Nottingham
> > >> ( see www.publicaccesswifi.org )
> > >>
> > >> > traffic optimization could be interesting? I mean, they do not
> > >> > have too much bandwidth, and they connect to the Internet through
> > >> > a single link in many cases (a bottleneck). One of the services
> > >> > considered is
> > > VoIP.
> > >> >
> > >> >
> > >> >
> > >> > Thanks a lot!
> > >> >
> > >> >
> > >> >
> > >> > Jose
> > >> >
> > >> >

---

From: "Jose Saldana" <[email-masked]>
Date: Fri, 11 Oct 2013 18:26:13 +0200

Hi, Mirko. I understand what you mean, but I don't know if considering TCP
is a good idea at this stage.

As seen in the BoF in Berlin, many people in the Transport Area are really
worried about adding any extra delay to TCP, since TCP dynamics are governed
by RTT. So my opinion is to forget about standardization of any TCP
optimization method.

With UDP (or RTP), the thing is more straightforward. In fact, a TCM
optimization method for RTP already exists (RFC4170).

In my opinion, we need more research, and perhaps an implementation before
considering TCP as a possibility. But I think the best option now is putting
TCP in the fridge until we are able to show real tests showing that TCP
flows can be multiplexed (in fact, I have some plans for building an
implementation). If we build an implementation, considering RTP, UDP and TCP
is not too much additional work. The IETF believes in running code, so we
will see if TCP optimization "runs" or not.

And I am looking for some traces obtained from Community Networks. They are
a very interesting scenario for TCM-TF traffic optimization.

Thanks for your feedback!

Jose

> De: Mirko Sužnjević [mailto:[email-masked]]
> Enviado el: viernes, 11 de octubre de 2013 15:31
> Para: [email-masked]; 'Arjuna Sathiaseelan'
> Asunto: RE: [tcmtf] Community Neworks: any idea about them?
> 
> Hello everyone,
> While we did get negative feedback on TCP on the IETF meeting in Berlin, I
> am not sure we should completely discard TCP, especially in the cases in
> which the Internet connection is very poor and in which many devices/users
> are using a single connection. Benefits of providing extra bandwidth in
these
> conditions could outweigh the downsides of messing up TCP sometimes.
> One of the major drawbacks of TCM-TFing TCP was that if we lose a packet
> comprising multiple TCP flows, all of them will reduce their sending rate
at
> the same time. Maybe in the conditions of relatively poor Internet
> connectivity which occurs in such networks (especially ones which could be
> designed for very poor districts aiming to provide basic connectivity) the
> benefit of providing extra bandwidth would outweigh the downside of
> messing up TCP sometimes.
> Therefore, I would really like that when we create an implementation of
> TCM-TF we include TCP as well! In this way we could (presuming that we
> know the characteristics of the traffic in such networks and
characteristics of
> such links) performs simulations with and without usage of TCM-TF and see
> whether the results would increase or decrease QoE of the users of such
> networks.
> TCM-TF was created in mind to be reactive and react to congestion in
certain
> parts of the network. In those cases where users require high QoE at the
> start I concur using TCM-TF on TCP could be problematic. On the other
hand,
> in networks with such bad links it could be employed constantly. As I said
> with proper implementation and simulation and using proper QoE models we
> could see how much benefit or degradation we get. Using it only for UDP
> might yield too little bandwidth savings. Again, it all boils to
simulation with
> proper realistic traffic mixes and seeing how much gain can we get with
using
> only UDP, using both UDP and TCP, and  how much does it impact the QoE of
> the users.
> To sum it up, I would like us to implement these algorithms and perform
> simulations on realistic traffic mixes.
> Is anyone aware of any available traffic traces from such community
> networks?
> Cheers!
> Mirko
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Jose Saldana
> Sent: Tuesday, October 8, 2013 1:44 PM
> To: 'Arjuna Sathiaseelan'
> Cc: [email-masked]; [email-masked]
> Subject: Re: [tcmtf] Community Neworks: any idea about them?
> 
> Hi, Arjuna,
> 
is to
> compress small-packet flows (VoIP, online games) in order to save
> bandwidth, when a number of flows share a common path. We have
> discarded the multiplexing of TCP, because the additional delay may modify
> the dynamics of TCP.
> 
> TCM-TF combines header compression, multiplexing and tunneling, in order
> to aggregate a number of flows, when a low-bandwidth link is in the path.
> Thus, bandwidth can be saved and pps can be reduced, at the cost of
> processing power.
> 
used.
> > de Arjuna Sathiaseelan Enviado el: martes, 08 de octubre de 2013 11:42
> > Para: [email-masked]
> > > are "large scale, self-organized and decentralized networks, built
> > > and operated by citizens for citizens." They are "also self-owned
> > > and self-managed by community members, self-growing in links,
> > > capacity and
> > services provided."
> > >
> > >
> > >